Redmine - Defect #1013

Custom queries can be saved under same name
2008-04-08 00:42 - Maxim KrusSina

Status: Confirmed Start date: 2008-04-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: Candidate for next minor release

Resolution: Affected version: 2.21
Description

Then it's really hard to find out what-is-what query.

| think that query name should be unique.

We probably want to allow same name of queries for different users (so user A can have private query with same name as user B),
like "My issues".

For uniqueness we shoudl check:

e |n all queries of one users, including global public queries
e Global public queries

Related issues:

Related to Redmine - Patch #1021: Patch for #1013 (uniqueness-validation of c... New 2008-04-08
Related to Redmine - Feature #3180: Add grouping / headings to custom filters Closed 2009-04-15
Has duplicate Redmine - Defect #5396: duplicate filter name is allowed Closed 2010-04-28
History

#1 - 2008-04-08 11:03 - Thomas Lecavelier

¢ should be a feature request (damn, that's the day!)
e | agree with your point.

#2 - 2008-04-08 22:37 - Rocco Stanzione
Please test my patch from #1021

#3 - 2009-12-03 00:21 - Mischa The Evil
Added relation to issue #3180.

#4 - 2013-01-14 10:51 - Daniel Felix

- File DuplicateReports.png added

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release
- Affected version (unused) set to 2.2.1

- Affected version set to 2.2.1

This defect is still included in Redmine 2.2.1.
| just verified it.

It should be corrected to the next minor release, as it's very misleading to have reports with the same name.

This could be tricky.

Example:

UserA with ReportA save this report in his personal reports.

UserB adds ReportA (other definition) as a global report. Those doesn't differ from all the other Reports. There must be some type of category to
differ those reports and render them in two seperate groups in the sidebar. Or just add some symbol for them (personal and global).

This bug is bigger than expected. The delete of one of the two created reports delete both. It seems that the report is searched by it's name. This
could explain why both reports will be dropped!
https://www.redmine.org/issues/1021
https://www.redmine.org/issues/3180
